

	var map;
	var geocoder;
    var g_leads = new Array();
    var g_markers = new Array();
    var g_results = new Array();
	var g_nMarkerIndex = -1;
 
	var g_bRefreshState = true;


      var arrReasons=[];
      arrReasons[G_GEO_SUCCESS]            = "Success";
      arrReasons[G_GEO_MISSING_ADDRESS]    = "Missing Address: The address was either missing or had no value.";
      arrReasons[G_GEO_UNKNOWN_ADDRESS]    = "Unknown Address:  No corresponding geographic location could be found for the specified address.";
      arrReasons[G_GEO_UNAVAILABLE_ADDRESS]= "Unavailable Address:  The geocode for the given address cannot be returned due to legal or contractual reasons.";
      arrReasons[G_GEO_BAD_KEY]            = "Bad Key: The API key is either invalid or does not match the domain for which it was given";
      arrReasons[G_GEO_TOO_MANY_QUERIES]   = "Too Many Queries: The daily geocoding quota for this site has been exceeded.";
      arrReasons[G_GEO_SERVER_ERROR]       = "Server error: The geocoding request could not be successfully processed.";
      arrReasons[G_GEO_BAD_REQUEST]        = "A directions request could not be successfully parsed.";
      arrReasons[G_GEO_MISSING_QUERY]      = "No query was specified in the input.";




	function initMap() {
  	    if (GBrowserIsCompatible()) {
       	        map = new GMap2(document.getElementById("map"));
		map.addControl(new GLargeMapControl());
		map.addControl(new GMapTypeControl());
		map.enableDoubleClickZoom() 

		showWorld('Denver CO',7);
	     }
	    else
		  alert("Browser is not Google Maps compatible");
	}



    function showWorld(place, zoomlevel) {
		geocoder = new GClientGeocoder();
		if (geocoder) {

			geocoder.getLatLng(place,
				function(point) {
				  if (!point) {
					//alert(place + " not found. Servers could be busy. Please try again");
				  } 
				  else {
					map.setCenter(point, zoomlevel);
					map.setMapType(G_NORMAL_MAP) ; 

				  }
				}
			);
		}
		else
			alert("Geocoder not working");

	}


	function zoomIn() {
		map.zoomIn();
	}

	function zoomTo(level) {
		map.setZoom(level);
	}

	function loadMap(lat, lng) {
     	  if (map) {
       		map = new GMap2(document.getElementById("map"));
		map.addControl(new GSmallMapControl());
		map.addControl(new GMapTypeControl());
		map.setCenter(new GLatLng(lat, lng), 10);
	
      	  }
 	  else
		  alert("Google Maps not loaded");
    	}







function popupMarker(item, data) {

	var m = g_markers[item];
	if (m) {
		m.openInfoWindowHtml(data);
	}
}


function trim(s) {
	var s1 = s.replace(/^\s+/g,"");		// remove leading spaces
	var s2 = s1.replace(/\s+$/g, "");	// remove trailing spaces

	return s2;
}



