<?php 

/*
	Plugin Name: GmapPlugin
	Plugin URI: http://truelogic.org
	Description: Integrate custom gmap  into wordpress 
	Version: 1.0
	Author: Amit Sengupta, TrueLogic.org
	Author URI: http://www.truelogic.org
*/

session_start();

if (!class_exists("GmapPlugin")) {
	class GmapPlugin {

	
		function GmapPlugin() {

			$this->loadData();
		}

		function loadData() {
		   // any class level initialization to be done here
		}

		function showMap($content) {
		
		 	global $post;

			$url = get_bloginfo('wpurl');// this is to get the current WP base url 

					// check if this is a post 
			if ($post->post_type == "post" && !is_home()) {
				$more_content = file_get_contents($url . "/wp-content/plugins/gmapplugin/showmap.php");
				return $more_content. $content ;	
			
			}
	
	
					// other pages and not homepage
			if ($post->post_type == "page" && !is_home()) {
				$more_content = file_get_contents($url . "/wp-content/plugins/gmapplugin/showmap.php");
				return $more_content . $content;
			}
			else {
					// show map in homepage
		     	   if (is_home()) {
		    		$more_content = file_get_contents($url . "/wp-content/plugins/gmapplugin/showmap.php");
				return $more_content. $content ;
		   	   }
							
			}
			return $content;
		}




	}
}

if (class_exists("GmapPlugin")) {
	$GMS = new GmapPlugin();
}	

if (isset($GMS)) {
	add_filter('the_content', array(&$GMS, 'showMap'));
}




?>
